<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Rectangle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_rectangle.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_rectangle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Rectangle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the rectangle obstacle.  
 <a href="class_rectangle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Rectangle:</div>
<div class="dyncontent">
<div class="center"><img src="class_rectangle__inherit__graph.png" border="0" usemap="#_rectangle_inherit__map" alt="Inheritance graph"/></div>
<map name="_rectangle_inherit__map" id="_rectangle_inherit__map">
<area shape="rect" title="Models the concept of the rectangle obstacle." alt="" coords="5,80,92,107"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="17,5,80,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Rectangle:</div>
<div class="dyncontent">
<div class="center"><img src="class_rectangle__coll__graph.png" border="0" usemap="#_rectangle_coll__map" alt="Collaboration graph"/></div>
<map name="_rectangle_coll__map" id="_rectangle_coll__map">
<area shape="rect" title="Models the concept of the rectangle obstacle." alt="" coords="55,260,142,287"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="173,184,235,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="150,95,303,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8a933e0ebd9e80ce91e61ffe87fd577e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a8a933e0ebd9e80ce91e61ffe87fd577e">Rectangle</a> ()</td></tr>
<tr class="memdesc:a8a933e0ebd9e80ce91e61ffe87fd577e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_rectangle.html" title="Models the concept of the rectangle obstacle.">Rectangle</a> class.  <a href="class_rectangle.html#a8a933e0ebd9e80ce91e61ffe87fd577e">More...</a><br /></td></tr>
<tr class="separator:a8a933e0ebd9e80ce91e61ffe87fd577e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494c076b13aadf26efdce07d23c61ddd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">~Rectangle</a> ()</td></tr>
<tr class="memdesc:a494c076b13aadf26efdce07d23c61ddd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_rectangle.html" title="Models the concept of the rectangle obstacle.">Rectangle</a> class.  <a href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">More...</a><br /></td></tr>
<tr class="separator:a494c076b13aadf26efdce07d23c61ddd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3143df391fb8929ceb88f32638297cdc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">draw</a> (const std::string &amp;rectangleFilename) const override</td></tr>
<tr class="memdesc:a3143df391fb8929ceb88f32638297cdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the rectangle obstacle coordinates to a result file.  <a href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">More...</a><br /></td></tr>
<tr class="separator:a3143df391fb8929ceb88f32638297cdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58448a7e7ccd6dabba3a94055b60d385"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">getCollisionInformation</a> () const override</td></tr>
<tr class="memdesc:a58448a7e7ccd6dabba3a94055b60d385"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with rectangle obstacle.  <a href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">More...</a><br /></td></tr>
<tr class="separator:a58448a7e7ccd6dabba3a94055b60d385"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e4f5f8306e4fcdd21fcb2e4c9fc301a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const override</td></tr>
<tr class="memdesc:a0e4f5f8306e4fcdd21fcb2e4c9fc301a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with the rectangle.  <a href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">More...</a><br /></td></tr>
<tr class="separator:a0e4f5f8306e4fcdd21fcb2e4c9fc301a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afc01efdb1030741856872de1dcd5a3b5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">kObstacleRectangleFile</a> = &quot;solid/obstacleRectangle.dat&quot;</td></tr>
<tr class="memdesc:afc01efdb1030741856872de1dcd5a3b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the rectangle obstacle coordinates.  <a href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">More...</a><br /></td></tr>
<tr class="separator:afc01efdb1030741856872de1dcd5a3b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a93cca8b6ab5765045dc2eda6433ee2fb"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">xMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a93cca8b6ab5765045dc2eda6433ee2fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on X axis.  <a href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">More...</a><br /></td></tr>
<tr class="separator:a93cca8b6ab5765045dc2eda6433ee2fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abece729bcd234268157da5155e73309b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#abece729bcd234268157da5155e73309b">xMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:abece729bcd234268157da5155e73309b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb0f8b49df846d3e9cccf64188817ef1"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">yMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:afb0f8b49df846d3e9cccf64188817ef1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Y axis.  <a href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">More...</a><br /></td></tr>
<tr class="separator:afb0f8b49df846d3e9cccf64188817ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6049ae1000f12d56cb36b4f6b5bd3c94"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a6049ae1000f12d56cb36b4f6b5bd3c94">yMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:a6049ae1000f12d56cb36b4f6b5bd3c94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a768853ea026976e3ec18d43a43b5ab30"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">zMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a768853ea026976e3ec18d43a43b5ab30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Z axis.  <a href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">More...</a><br /></td></tr>
<tr class="separator:a768853ea026976e3ec18d43a43b5ab30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a7d194f96b1e3c17b5436cee629725"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#ad1a7d194f96b1e3c17b5436cee629725">zMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:ad1a7d194f96b1e3c17b5436cee629725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44573438259917675abc85bd9d0914ef"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">obstacleRectangle_</a></td></tr>
<tr class="memdesc:a44573438259917675abc85bd9d0914ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of rectangle obstacle coordinates.  <a href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">More...</a><br /></td></tr>
<tr class="separator:a44573438259917675abc85bd9d0914ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a3eb6fe3c8711301369da887ecc2354"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">obstacleRectangleTranslation_</a> {70, -100, -200}</td></tr>
<tr class="memdesc:a6a3eb6fe3c8711301369da887ecc2354"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of rectangle obstacle.  <a href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">More...</a><br /></td></tr>
<tr class="separator:a6a3eb6fe3c8711301369da887ecc2354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1bee83fb0fda7c7659870a564bbbfa5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">kObstacleRectangleModel</a> = &quot;solid/obstacleRectangleModel.dat&quot;</td></tr>
<tr class="memdesc:ad1bee83fb0fda7c7659870a564bbbfa5"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the rectangle coordinates model.  <a href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">More...</a><br /></td></tr>
<tr class="separator:ad1bee83fb0fda7c7659870a564bbbfa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00096">96</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8a933e0ebd9e80ce91e61ffe87fd577e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a933e0ebd9e80ce91e61ffe87fd577e">&#9670;&nbsp;</a></span>Rectangle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Rectangle::Rectangle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_rectangle.html" title="Models the concept of the rectangle obstacle.">Rectangle</a> object. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00077">77</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a494c076b13aadf26efdce07d23c61ddd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494c076b13aadf26efdce07d23c61ddd">&#9670;&nbsp;</a></span>~Rectangle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Rectangle::~Rectangle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in set of rectangle obstacle coordinates. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00151">151</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0e4f5f8306e4fcdd21fcb2e4c9fc301a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Rectangle::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implements <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00128">128</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a3143df391fb8929ceb88f32638297cdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3143df391fb8929ceb88f32638297cdc">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Rectangle::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>rectangleFilename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rectangleFilename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00108">108</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a58448a7e7ccd6dabba3a94055b60d385"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58448a7e7ccd6dabba3a94055b60d385">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Rectangle::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00162">162</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afc01efdb1030741856872de1dcd5a3b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc01efdb1030741856872de1dcd5a3b5">&#9670;&nbsp;</a></span>kObstacleRectangleFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Rectangle::kObstacleRectangleFile = &quot;solid/obstacleRectangle.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00136">136</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ad1bee83fb0fda7c7659870a564bbbfa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1bee83fb0fda7c7659870a564bbbfa5">&#9670;&nbsp;</a></span>kObstacleRectangleModel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Rectangle::kObstacleRectangleModel = &quot;solid/obstacleRectangleModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00131">131</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a44573438259917675abc85bd9d0914ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44573438259917675abc85bd9d0914ef">&#9670;&nbsp;</a></span>obstacleRectangle_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Rectangle::obstacleRectangle_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00121">121</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a6a3eb6fe3c8711301369da887ecc2354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a3eb6fe3c8711301369da887ecc2354">&#9670;&nbsp;</a></span>obstacleRectangleTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Rectangle::obstacleRectangleTranslation_ {70, -100, -200}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00126">126</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="abece729bcd234268157da5155e73309b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abece729bcd234268157da5155e73309b">&#9670;&nbsp;</a></span>xMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::xMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00102">102</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a93cca8b6ab5765045dc2eda6433ee2fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93cca8b6ab5765045dc2eda6433ee2fb">&#9670;&nbsp;</a></span>xMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::xMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00102">102</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a6049ae1000f12d56cb36b4f6b5bd3c94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6049ae1000f12d56cb36b4f6b5bd3c94">&#9670;&nbsp;</a></span>yMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::yMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00109">109</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="afb0f8b49df846d3e9cccf64188817ef1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb0f8b49df846d3e9cccf64188817ef1">&#9670;&nbsp;</a></span>yMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::yMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00109">109</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ad1a7d194f96b1e3c17b5436cee629725"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a7d194f96b1e3c17b5436cee629725">&#9670;&nbsp;</a></span>zMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::zMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00116">116</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a768853ea026976e3ec18d43a43b5ab30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a768853ea026976e3ec18d43a43b5ab30">&#9670;&nbsp;</a></span>zMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rectangle::zMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00116">116</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="obstacles_8hh_source.html">obstacles.hh</a></li>
<li><a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_rectangle.html">Rectangle</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
